import QtQuick 2.2
import "../crossPromotion"

PopWindow {
    id: root

    property bool quitAfter: false
    property bool hasBeenShown: false

    /**********//**********//**********/

    /**********//**********//**********/
    timeOut: _skipIn
    bgSource: "../media/outOfMoves.png"
    visible:false
    anchors.fill: parent

    onVisibleChanged: {
        if(root.visible==false){
            if(root.quitAfter==true){
                Qt.quit();
            }
        }
        myAdView.myIndex=Math.floor(crossPromotionList.count*Math.random()*0.995);
        root.hasBeenShown=true;
    }

    onClicked: {

        if(root.exitBoxVisible){
            Qt.openUrlExternally(crossPromotionList.get(myAdView.myIndex).link);
            console.log("Lauching : "+crossPromotionList.get(myAdView.myIndex).link);
            root.visible=false;
            if(root.quitAfter==true){
                Qt.quit();
            }
            if(myGoogleAnalytics.enabled)_myGoogleAnalytics.sendEvent("GoToHAI","GoToHAI->"+crossPromotionList.get(myAdView.myIndex).name);
        }
    }

    Item{
        id:contentRect

        anchors{
            centerIn: parent
            verticalCenterOffset: -(parent.height*0.05+Math.min(parent.width*0.6,parent.height*0.3)*15/48)
            horizontalCenterOffset: parent.width*(0.0035)
        }
        width: Math.min(screen.width,screen.height*1.2)*0.895
        height: Math.max(screen.height*0.15,screen.width*0.2)

        Rectangle{
            anchors.fill: parent
            color: "black"
            opacity: 0.85
        }

        CrossPromoItemPortrait{
            id:myAdView
            myIndex: 0
            anchors.fill: parent
            MouseArea{
                anchors.fill: parent
                onClicked: {
                    root.clicked();
                }
            }
        }
    }

    Text{
        anchors{
            bottom: contentRect.top
            bottomMargin: parent.height*0.005
            horizontalCenter: parent.horizontalCenter
        }
        width: contentRect.width*0.95
        wrapMode: Text.WordWrap
        font{
            pixelSize: (screen.width+screen.height)/75
            family: normalFont.name
        }
        horizontalAlignment: Text.AlignHCenter
        color:"black"
        text:"Please support us by clicking on the banner!"
    }

    Text{
        anchors{
            top: contentRect.top
            topMargin: parent.height*0.005+contentRect.height
            horizontalCenter: parent.horizontalCenter
        }
        width: contentRect.width*0.95
        wrapMode: Text.WordWrap
        font{
            pixelSize: (screen.width+screen.height)/75
            family: normalFont.name
        }
        horizontalAlignment: Text.AlignHCenter
        color:"black"
        text:"You can also support us by removing the ads!"
    }

    RectangularButton{
        id:goButton
        backgroundImageSource: "../media/greenRectangularButton.png"
        inactiveBackgroundImageSource: "../media/grayRectangularButton.png"
        highlightBackgroundImageSource: "../media/greenRectangularButton.png"
        text: "OK"
        active: root.exitBoxVisible

        anchors{
            horizontalCenter: parent.horizontalCenter
            bottom: removeAdsButton.top
            bottomMargin: removeAdsButton.height*0.2
        }

        width: Math.min(parent.width,parent.height*0.7)*0.65;
        height: width/4

        //            textColor: "black"
        //            textStyle: Text.Normal
        fontPixelSize: removeAdsButton.height*0.65
        fontFamily: cooperFont.name
        //            verticalTextOffSet: -rateButton.height*0.075;

        onClicked: {
            root.clicked();
        }
    }

    RectangularButton{
        id:removeAdsButton
        backgroundImageSource: "../media/greenRectangularButton.png"
        highlightBackgroundImageSource: "../media/greenRectangularButton.png"
        text: "REMOVE ADS"

        anchors{
            horizontalCenter: parent.horizontalCenter
            bottom: parent.bottom
            bottomMargin: parent.height*0.125
        }

        width: Math.min(parent.width,parent.height*0.7)*0.65;
        height: width/4

        //            textColor: "black"
        //            textStyle: Text.Normal
        fontPixelSize: removeAdsButton.height*0.65
        fontFamily: cooperFont.name
        horizontalTextOffSet: removeAdsButton.width*0.175
        xScaleText: 0.705
        //            verticalTextOffSet: -rateButton.height*0.075;

        onClicked: {
            myStore.purchase();
//            removeAdsScreen.visible=true;
        }
    }

}
