import QtQuick 2.2
import "../crossPromotion"

Item {
    id:root

    /**********//**********//**********/

    Timer{
        id:refreshTimer
        interval: _adInterval*1000
        triggeredOnStart: true
        running: root.visible
        repeat: root.visible
        onTriggered: {
            //            console.log("Another ad requested!");
            myAdView.myIndex=Math.floor(Math.random()*crossPromotionList.count*0.995);
        }
    }

    property bool showAdMobAd: false

    onShowAdMobAdChanged: {
        if(adManager.adsOn  && adManager.adBannerAvailable==true ){
            if(showAdMobAd==false){
                _myAdMob.showBannerAd(false,-320,-50,320,50);
            }
            else{
                showBannerTimer.start();
            }
        }
    }

    Connections{
        target: adManager
        onAdsOnChanged:{
            if( adManager.adsOn == false ){
                _myAdMob.showBannerAd(false,-320,-50,320,50);
            }
        }
    }

    Timer{
        id:showBannerTimer
        interval: 20
        onTriggered: {
            if(root.visible && root.showAdMobAd && adManager.adsOn){
                console.log("Show banner ad TRUE"+mouseArea.mapToItem(screen).x+" "+mouseArea.mapToItem(screen).y+" "+mouseArea.width+" "+mouseArea.height);
                if(Qt.platform.os=="ios"){
                    _myAdMob.showBannerAd(true,mouseArea.mapToItem(screen).x,mouseArea.mapToItem(screen).y,mouseArea.width,Math.max(mouseArea.height,50));
                }
                if(Qt.platform.os=="android"){
                    _myAdMob.showBannerAd(true,mouseArea.mapToItem(screen).x,mouseArea.mapToItem(screen).y,mouseArea.width,mouseArea.height);
                }
            }
        }
    }

    CrossPromoItemPortrait{
        id:myAdView
        myIndex: 0
        bgRectangleBorderWidth: Math.max(1,Math.max(screen.height,screen.width)/800)
        anchors.fill: parent
        visible: showAdMobAd==false || adManager.internetOn==false || adManager.adBannerAvailable==false
        MouseArea{
            id:mouseArea
            anchors.fill: parent
            onClicked: {
                Qt.openUrlExternally(crossPromotionList.get(myAdView.myIndex).link);
                if(myGoogleAnalytics.enabled)_myGoogleAnalytics.sendEvent("GoToHAB","GoToHAB->"+crossPromotionList.get(myAdView.myIndex).name);
                buttonSound.play();
            }
        }
        onVisibleChanged: {
            if(adManager.adBannerAvailable && adManager.internetOn==true && showAdMobAd==true){
                showBannerTimer.start();
            }
        }
    }
}
