import QtQuick 2.2

Item {
    id:root

    signal clicked

    property string backgroundImageSource: ""
    property string inactiveBackgroundImageSource: ""
    property string highlightBackgroundImageSource: ""
    property alias symbolImageSource: symbolImage.source

    property bool active: true
    property alias text: buttonText.text
    property alias textStyle: buttonText.style
    property alias textColor: buttonText.color
    property alias fontFamily: buttonText.font.family
    property alias fontPixelSize: buttonText.font.pixelSize
    property alias textOutlineColor: buttonText.styleColor
    property int verticalTextOffSet: 0
    property int horizontalTextOffSet: 0
    property alias pressed: mouseArea.pressed
    property real xScaleText: 1

    width:300
    height: 100

    Image {
        id: backgroundImage
        anchors.fill: parent
        source: active?(pressed?root.highlightBackgroundImageSource:root.backgroundImageSource):root.inactiveBackgroundImageSource;
        fillMode: Image.Stretch
//        sourceSize.width:root.width;
//        sourceSize.height:root.height;
        smooth: true
    }

    Image {
        id: symbolImage
        anchors{
            centerIn: parent
        }
        width: parent.width*0.75
        height: parent.height*0.7
        fillMode: Image.PreserveAspectFit
    }

    Text{
        id:buttonText
        anchors{
            centerIn: parent
            verticalCenterOffset: root.verticalTextOffSet
            horizontalCenterOffset: root.horizontalTextOffSet
        }
        font{
            pixelSize: root.height*0.6
            bold: true
            family: standardFont.name
        }
        style: Text.Outline
        color:"white"
        smooth: true
        transform: Scale{
            xScale: root.xScaleText
            yScale: 1
        }
    }

    MouseArea {
        id: mouseArea;
        anchors.fill: parent;
        onClicked: {
            if(root.active==true){
                buttonSound.play();
                root.clicked();
            }
        }
    }
}
